Sign in to follow this  
hplus0603

Updating D3D11 renderer from Oculus SDK 0.2 to 0.4 support

Recommended Posts

hplus0603    11356
I tried to post this on the "help wanted" section, but that seems to be only for "real jobs."

I have a project demo that uses the Oculus SDK version 0.2.
It no longer works with Oculus SDK version 0.4 (like most Oculus projects.)
I want to update the integration into the graphics engine to target Oculus SDK 0.4.x now.
The integration is contained in the D3D11 rendering back-end, which is contained in a small number of files that build a self-contained DLL.
Development is in Microsoft Visual Studio version 2010, 2012, or 2013 (have not tested 2015.)
I could do it myself, but I am totally slammed with other work! Here's where you come in :-)

This is a small, self-contained piece of work, although checking out the entire project is a significant amount of source files, most of which are needed to build it but you don't need to understand them for this work :-)
This is a paid contracting opportunity -- I'd expect 20-40 hours of work for someone who knows what they're doing.

Send me a PM if you're interested!

Share this post


Link to post
Share on other sites
Hodgman    51339
All you need is the old SDK replaced with the new SDK?

Were you running your own distortion shaders in the old version? Is this post-processing code contained in the same D3D11 module?

Do you need direct-to-rift and extended mode to work?

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this